Package org.silverpeas.mobile.shared.services.rest

## Interface ServiceNavigation

- All Superinterfaces:
    `org.fusesource.restygwt.client.RestService`

      @Path("/mobile/navigation")
      public interface ServiceNavigation
      extends org.fusesource.restygwt.client.RestService

  Author:
    svu

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clearAppCache​(org.fusesource.restygwt.client.MethodCallback<Void> callback)` |
    `void` | `getApp​(String instanceId, String contentId, String contentType, org.fusesource.restygwt.client.MethodCallback<ApplicationInstanceDTO> callback)` |
    `void` | `getHomePageData​(String spaceId, String zoom, org.fusesource.restygwt.client.MethodCallback<HomePageDTO> callback)` |
    `void` | `getPersonnalSpaceContent​(String userId, org.fusesource.restygwt.client.MethodCallback<List<ApplicationInstanceDTO>> callback)` |
    `void` | `getSpace​(String spaceId, org.fusesource.restygwt.client.MethodCallback<SpaceDTO> callback)` |
    `void` | `getSpacesAndApps​(String rootSpaceId, org.fusesource.restygwt.client.MethodCallback<List<SilverpeasObjectDTO>> callback)` |
    `void` | `getUser​(String login, String domainId, org.fusesource.restygwt.client.MethodCallback<DetailUserDTO> callback)` |
    `void` | `isWorkflowApp​(String intanceId, org.fusesource.restygwt.client.MethodCallback<Boolean> callback)` |
    `void` | `setTabletMode​(org.fusesource.restygwt.client.MethodCallback<Boolean> callback)` |
    `void` | `storeTokenMessaging​(String token, org.fusesource.restygwt.client.MethodCallback<Void> callback)` |

- - ### Method Detail

    - #### getSpace

          @GET
          @Produces("application/json")
          @Path("space/{spaceId}/")
          void getSpace​(@PathParam("spaceId")
                        String spaceId,
                        org.fusesource.restygwt.client.MethodCallback<SpaceDTO> callback)

    - #### getPersonnalSpaceContent

          @GET
          @Produces("application/json")
          @Path("personalSpace/{userId}/")
          void getPersonnalSpaceContent​(@PathParam("userId")
                                        String userId,
                                        org.fusesource.restygwt.client.MethodCallback<List<ApplicationInstanceDTO>> callback)

    - #### getSpacesAndApps

          @GET
          @Produces("application/json")
          @Path("spacesAndApps/{rootSpaceId}/")
          void getSpacesAndApps​(@PathParam("rootSpaceId")
                                String rootSpaceId,
                                org.fusesource.restygwt.client.MethodCallback<List<SilverpeasObjectDTO>> callback)

    - #### getApp

          @GET
          @Produces("application/json")
          @Path("app/{instanceId}/{contentId}/{contentType}/")
          void getApp​(@PathParam("instanceId")
                      String instanceId,
                      @PathParam("contentId")
                      String contentId,
                      @PathParam("contentType")
                      String contentType,
                      org.fusesource.restygwt.client.MethodCallback<ApplicationInstanceDTO> callback)

    - #### getUser

          @GET
          @Produces("application/json")
          @Path("user/{login}/{domainId}/")
          void getUser​(@PathParam("login")
                       String login,
                       @PathParam("domainId")
                       String domainId,
                       org.fusesource.restygwt.client.MethodCallback<DetailUserDTO> callback)

    - #### setTabletMode

          @POST
          @Produces("application/json")
          @Path("setTabletMode")
          void setTabletMode​(org.fusesource.restygwt.client.MethodCallback<Boolean> callback)

    - #### clearAppCache

          @GET
          @Path("clearAppCache")
          void clearAppCache​(org.fusesource.restygwt.client.MethodCallback<Void> callback)

    - #### getHomePageData

          @GET
          @Produces("application/json")
          @Path("homepage/{spaceId}/{zoom}/")
          void getHomePageData​(@PathParam("spaceId")
                               String spaceId,
                               @PathParam("zoom")
                               String zoom,
                               org.fusesource.restygwt.client.MethodCallback<HomePageDTO> callback)

    - #### isWorkflowApp

          @GET
          @Produces("application/json")
          @Path("isWorkflowApp/{instanceId}/")
          void isWorkflowApp​(@PathParam("instanceId")
                             String intanceId,
                             org.fusesource.restygwt.client.MethodCallback<Boolean> callback)

    - #### storeTokenMessaging

          @PUT
          @Path("storeTokenMessaging/{token}/")
          void storeTokenMessaging​(@PathParam("token")
                                   String token,
                                   org.fusesource.restygwt.client.MethodCallback<Void> callback)